#

API Docs for: 0.6.1
Show: Inherited Protected Private Deprecated

# JacobianElement Class

Defined in: `src/math/JacobianElement.js:5`

An element containing 6 entries, 3 spatial and 3 rotational degrees of freedom.

## Constructor

### `JacobianElement`

()

Defined in `src/math/JacobianElement.js:5`

- Index
- Methods
- Properties

## Item Index

### Methods

- multiplyElement
- multiplyVectors

### Properties

- rotational
- spatial

## Methods

### `multiplyElement`

(

- `element`

)
Number

Defined in `src/math/JacobianElement.js:23`

Multiply with other JacobianElement

#### Parameters:

- `element` JacobianElement

#### Returns:

Number:

### `multiplyVectors`

(

- `spatial`
- `rotational`

)
Number

Defined in `src/math/JacobianElement.js:33`

Multiply with two vectors

#### Parameters:

- `spatial` Vec3
- `rotational` Vec3

#### Returns:

Number:

## Properties

### `rotational`

Vec3

Defined in `src/math/JacobianElement.js:17`

### `spatial`

Vec3

Defined in `src/math/JacobianElement.js:12`